Subject: Re: [PATCH v4 4/4] format-patch: add commitListFormat config

From: Junio C Hamano <[email-masked]>
Date: Fri, 27 Feb 2026 14:21:06 -0800

Mirko Faina <[email-masked]> writes:

>> Or we do not have to worry about these if we just use what the user
>> gives us without any DWIM.  I just do not think we want to see the
>> "not a shortlog?  must be log" burned into the syntax that will have
>> to stay with us forever.
>
> Since we already require the prefix in the command line might as well
> just make it the same for the configuration file.

Sounds sensible.  Either with or without DWIM (with escape hatch),
being consistent between the command line and configuration is a
good thing.